#! /bin/sh
#Added by Wenjun Xia(mtk40146) -- Script for libsoap

#make

#MAKE_RET=$?
#if [ $MAKE_RET -ne 0 ]; then

DEST_DIR=$(pwd)/../build

#export DEST_DIR=$(pwd)/../build
export LDFLAGS="$LDFLAGS -L$(pwd)/../../../library/zlib/zlib-1.2.3/usr/lib -L$(pwd)/../../../library/xml/libxml2-2.7.6/lib -L$(pwd)/../../../library/openssl/openssl-0.9.8l/usr/lib -L$(pwd)/../../../../rootfs/initrd_post/lib -lxml2"


#export LD_LIBRARY_PATH=/proj/mtk40256/usr/lib
export CFLAGS="$CFLAGS -I$(pwd)/../../../library/zlib/zlib-1.2.3/usr/include -I$(pwd)/../../../library/xml/libxml2-2.7.6/include -I$(pwd)/../../../library/openssl/openssl-0.9.8l/usr/include"

if [ -z ${CROSS_COMPILE} ]; then
    export CROSS_COMPILE="armv6z-mediatek-linux-gnueabi-"
fi
make clean
make distclean

export CXX=${CROSS_COMPILE}g++
CC=${CROSS_COMPILE}gcc ./configure \
--build=`uname -m`-linux \
--host=arm-linux \
--with-gnu-ld \
--prefix=$(pwd)/../../../library/soap/libsoap-1.1.0/usr/ \
#--disable-xmltest \
#--with-xml-prefix=$(pwd)/../../../library/xml/libxml2-2.7.6/usr/lib \
#--with-ssl=$(pwd)/../../../library/openssl/openssl-0.9.8l/usr/include \
#--disable-ares --disable-crypto-auth --disable-ipv6 --disable-dict --disable-telnet --disable-file --disable-tftp --disable-ldap --disable-file --disable-ftp --disable-sspi  --disable-debug --disable-dependency-tracking --enable-thread --without-libidn   --with-pic  --disable-verbose --disable-manual

OldFileName=$(pwd)/../../../library/xml/libxml2-2.7.6/lib/libxml2.la
NewFileName=$(pwd)/../../../library/xml/libxml2-2.7.6/lib/libxml2.la.bak
echo "-------------------------------------------------"
mv $OldFileName $NewFileName
make
MAKE_RET=$?
if [ $MAKE_RET -ne 0 ]; then
    echo "LIBSOAP Build Fail....($MAKE_RET)"
    mv $NewFileName $OldFileName
    exit $MAKE_RET
else
    echo "LIBSOAP Build OK..."
fi
#make DESTDIR=${DEST_DIR} install
make install
if [ $MAKE_RET -ne 0 ]; then
    echo "LIBSOAP Install Fail....($MAKE_RET)"
    mv $NewFileName $OldFileName
    exit $MAKE_RET
else
    echo "LIBSOAP Install OK..."
fi
mv $NewFileName $OldFileName
#else
#    echo "LIBSOAP existed, no need to build..."
#fi
exit 0 